package com.ruoyi.dezhi.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 视频包章节对象 b_busi_dezhi_video_package_chapter
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public class BBusiDezhiVideoPackageChapter extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 小节 */
    @Excel(name = "小节")
    private String packId;

    /** 标题 */
    @Excel(name = "标题")
    private String chapterId;

    /** 封面 */
    @Excel(name = "封面")
    private String chapterName;

    /** 来源 */
    @Excel(name = "来源")
    private String from;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPackId(String packId) 
    {
        this.packId = packId;
    }

    public String getPackId() 
    {
        return packId;
    }
    public void setChapterId(String chapterId) 
    {
        this.chapterId = chapterId;
    }

    public String getChapterId() 
    {
        return chapterId;
    }
    public void setChapterName(String chapterName) 
    {
        this.chapterName = chapterName;
    }

    public String getChapterName() 
    {
        return chapterName;
    }
    public void setFrom(String from) 
    {
        this.from = from;
    }

    public String getFrom() 
    {
        return from;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("packId", getPackId())
            .append("chapterId", getChapterId())
            .append("chapterName", getChapterName())
            .append("from", getFrom())
            .toString();
    }
}
